KDE 4.7 — обновление не произошло, а NovelClient завалился

0
116

У меня на рабочей машинке установлена Ubuntu 10.10, а поверх нее я когда-то накатил Kubuntu. И вот, вчера дернул меня черт обновить KDE до последней версии. Цели я не достиг, но один геморрой себе таки обеспечил.  Хочу отметить, что окна KBE в доме к оконному менеджеру KDE отношения не имеют.  Но обо всем по порядку.

Для начала я подключил репозирорий, который как-бы должен иметь последнюю версию кед:

sudo add-apt-repository ppa:kubuntu-ppa/ppa

Далее выполнил:

sudo apt-get update
sudo apt-get dist-upgrade

Пошло обновление, но это было обновление ядра и сопутсвующих пакетов. KDE остлось на версии 4.5.

Порывшись еще в сети я нашел еще одно решение. Добавил еще один репозиторий.

sudo add-apt-repository ppa:kubuntu-ppa/backports

Система долго думала.

Далее выполнил:
sudo aptitude update

и получил сообщение

sam@sam-facts:~$ sudo aptitude full-upgrade
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.

Как видим, ничего не добавилось. Перегружаюсь.

И вот тут начались проблемы с novelclient. Если кто не в курсе, это программа необходимая мне для подключения к внутренней новеловской сети. С этой сетью у меня были постоянные проблемы на протяжении многих лет, поэтому я страшно радовался, когда мне таки удалось ее присобачить в Ubuntu без виртуалок и прочих костылей. Подробности можно почитать здесь.

В общем, сначала выдавало ошибку запуска связанную с root. Оказалось, что это долбаное обновление установило обновленную версию ncpfs. Я его снес и поставил ncpfs_2-2-6-3_i386.deb. Перегрузился на всякий случай и больше не смог запустить обычным кликом по иконке novelclient. Попробовал выполнить команду в консоли и получил следующее:

error while loading shared libraries: libqtintf-6.5-qt2.3.so: cannot open shared object file: No such file or directory

Я запустил Synaptic, но он пакета такого действительно не нашел. Посмотрел установочный скрипт и потом пошел в /usr/lical/lib/kylix2 и проверил, что библиотека такая есть. Правда, там появились еще две ссылки свежие за вчерашнее число. Что это?

Выделение_0855.jpeg
Попробовал переустановить символическую ссылку, но система сообщила, что и ссылка на месте.
Менеджер пакетов Synaptic _0856.jpeg
Проверил версии пакетов ncpfs — 2.2.6-3.А libncf имеет версию 2.2.6-8. Этой же версии libpam-ncp. Уж не знаю, влияет ли это. А вот по поводу проклятого ibqtintf-6.5-qt2.3.so нашел упоминание в этом HOWTO — http://novelclient.sourceforge.net/howto.html. Но, честно говоря пока так и не понял, что мне делать, чтобы не завалить подключение к новеловской сети окончательно. Может кто подскажет?

P.S. Кстати, а названия то пакетов разные. Ошибку выдает, что нет libqtintf-6.5-qt2.3.so, а установлена libqtintf-6.5.0-qt2.3.so. То есть с нулем в версии. Переустановка самого клиента тоже не помогла.

ОСТАВЬТЕ ОТВЕТ

Please enter your comment!
Please enter your name here